RESTinio

Classes | Functions
restinio::impl::overflow_controlled_integer_accumulator_details Namespace Reference

## Classes
struct | extremum_value
struct | extremum_value< T, check_negative_extremum >
struct | extremum_value< T, check_positive_extremum >

## Functions
template<typename T , typename Storage_Type >
RESTINIO_NODISCARD std::enable_if< std::is_signed< T >::value, bool >::type | is_greater_than_maximum (Storage_Type v, Storage_Type maximum)
template<typename T , typename Storage_Type >
RESTINIO_NODISCARD std::enable_if<!std::is_signed< T >::value, bool >::type | is_greater_than_maximum (Storage_Type, Storage_Type)

## Function Documentation

## ◆ is_greater_than_maximum() [1/2]

template<typename T , typename Storage_Type >

RESTINIO_NODISCARD std::enable_if< std::is_signed< T >::value, bool >::type restinio::impl::overflow_controlled_integer_accumulator_details::is_greater_than_maximum | ( | Storage_Type | v,
|  | Storage_Type | maximum
| ) |  |

Definition at line 41 of file overflow_controlled_integer_accumulator.hpp.

## ◆ is_greater_than_maximum() [2/2]

template<typename T , typename Storage_Type >

RESTINIO_NODISCARD std::enable_if<!std::is_signed< T >::value, bool >::type restinio::impl::overflow_controlled_integer_accumulator_details::is_greater_than_maximum | ( | Storage_Type | ,
|  | Storage_Type |
| ) |  |

Definition at line 50 of file overflow_controlled_integer_accumulator.hpp.